package com.crm.globex.dao.repository;

import com.crm.rely.backend.dao.repository.BaseRepository;
import com.crm.rely.backend.model.pojo.table.CustomLoginTable;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;

/**
 * @author: houn
 */
@Repository
public interface CustomLoginRepository extends BaseRepository<CustomLoginTable> {

    boolean existsByLogin(Long login);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomLoginTable findFirstByLogin(Long login);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomLoginTable findFirstByLoginStatus(Integer loginStatus);

    CustomLoginTable getFirstByCustomIdAndLogin(Long customId, Long login);

    boolean existsByCustomIdAndLogin(Long customId, Long login);
}
